Description

History

#1 - 10/11/2011 01:38 PM - Miroslav Fidler

- Category set to General

#2 - 10/11/2011 09:03 PM - Sender Ghost

- File uppsrc.diff added

- File reference.diff added

- Status changed from New to Patch ready

- % Done changed from 0 to 100

There are many implementations between memory and speed constraints.

I found, that:

AttrText t1 = AttrText(), t2 = AttrText().SetFont(Monospace());

ASSERT(sizeof(t1) == sizeof(t2));

Therefore, I stopped with implementation, where { font = StdFont(); } inside Init function for AttrText constructor.

#3 - 10/11/2011 09:10 PM - Sender Ghost

- File deleted (uppsrc.diff)

#4 - 10/11/2011 09:11 PM - Sender Ghost

- File uppsrc.diff added

Slightly fixed uppsrc.diff file.

#5 - 10/12/2011 04:31 PM - Sender Ghost

- File uppsrc_docs.diff added

Added possible documentation changes for the new features.

#6 - 10/14/2011 10:53 AM - Miroslav Fidler

- Status changed from Patch ready to Approved
/redmine/projects/upp/repository/revisions/2724/entry/trunk/uppsrc/Draw/Display.cpp#L26


Files

reference.diff 1.27 KB 10/11/2011 Sender Ghost

uppsrc.diff 8.51 KB 10/11/2011 Sender Ghost

uppsrc_docs.diff 3.86 KB 10/12/2011 Sender Ghost
